#346 ExtUtils::F77 dependency causing problems for CPAN install

normal
closed-fixed
None
5
2015-10-05
2013-11-15
No

On many systems, including many systems including Fedora 19 Linux, there is no "f77" nor "g77" executable. The most common FORTRAN -- gfortran - isn't recognized by ExtUtils::F77 (current as of 15-Nov-2013), so ExtUtils::F77 fails. But ExtUtils::F77 is still listed as a prerequisite in the package metadata in CPAN. In turn, that means PDL installation fails by default on those systems.

I'm filing an F77 bug with KGB too -- but if we don't actually need FORTRAN for core functionality we should remove it from the prerequisites.

Discussion

  • Craig DeForest

    Craig DeForest - 2013-11-15

    Hmmm, it may be more complex than that -- F77 is looking for gfortran, just not finding it. But I'm leaving this bug open because CPAN installation on Fedora 19 is broken, and this should serve as a placeholder to delve into that.

     
  • Chris Marshall

    Chris Marshall - 2014-04-12

    I'm planning to take over maintenance of ExtUtils::F77. Is this issue still present?

     
  • Chris Marshall

    Chris Marshall - 2015-02-22

    What is the current status on this item?

     
  • Chris Marshall

    Chris Marshall - 2015-06-07

    I just released a new ExtUtils::F77 which has a few fixes. Can we close this ticket?

     
  • Chris Marshall

    Chris Marshall - 2015-08-16
    • Group: critical --> normal
     
  • Chris Marshall

    Chris Marshall - 2015-09-29

    Can we close this ticket for PDL-2.014?

     
  • Chris Marshall

    Chris Marshall - 2015-10-05
    • status: open --> closed-fixed
    • assigned_to: Chris Marshall
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks